Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5082)
@@ -114,5 +114,5 @@
       call getin_dump
 !
-      if (ierr .eq. 0) then
+      if (ierr == 0) then
         write(*,*) 'Everything is cool'
       else
@@ -142,5 +142,5 @@
 !   -------
  
-      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)                          &
+      IF(ngrid/=2+(jm-2)*(im-1).AND.ngrid/=1)                          &
      &    STOP 'probleme de dim'
 !   traitement des poles
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5082)
@@ -292,5 +292,5 @@
      jcode = iflag_nudge
      do i = 1,nudge_max
-       nudge(i) = mod(jcode,10) .ge. 1
+       nudge(i) = mod(jcode,10) >= 1
        jcode = jcode/10
      enddo
@@ -417,5 +417,5 @@
       call phys_state_var_init(read_climoz)
 
-      if (ngrid.ne.klon) then
+      if (ngrid/=klon) then
          print*,'stop in inifis'
          print*,'Probleme de dimensions :'
@@ -470,10 +470,10 @@
       zlay=-rd*300.*log(play/psurf)/rg ! moved after reading profiles. 
 
-      IF (forcing_type .eq. 59) THEN
+      IF (forcing_type == 59) THEN
 ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       write(*,*) '***********************'
       do l = 1, llm
        write(*,*) 'l,play(l),presnivs(l): ',l,play(l),presnivs(l)
-       if (trouve_700 .and. play(l).le.70000) then
+       if (trouve_700 .and. play(l)<=70000) then
          llm700=l
          print *,'llm700,play=',llm700,play(l)/100.
@@ -590,20 +590,20 @@
         print*,'avant phyredem'
         pctsrf(1,:)=0.
-          if (nat_surf.eq.0.) then
+          if (nat_surf==0.) then
           pctsrf(1,is_oce)=1.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 1) then 
+        else if (nat_surf == 1) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=1.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 2) then 
+        else if (nat_surf == 2) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=1.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 3) then 
+        else if (nat_surf == 3) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
@@ -780,7 +780,7 @@
       endif
 !======================  end restart =================================
-      IF (ecrit_slab_oc.eq.1) then
+      IF (ecrit_slab_oc==1) then
          open(97,file='div_slab.dat',STATUS='UNKNOWN')
-       elseif (ecrit_slab_oc.eq.0) then
+       elseif (ecrit_slab_oc==0) then
          open(97,file='div_slab.dat',STATUS='OLD')
        endif
@@ -796,12 +796,12 @@
            
       it_end = nint(fnday*day_step)
-      do while(it.le.it_end)
-
-       if (prt_level.ge.1) then
+      do while(it<=it_end)
+
+       if (prt_level>=1) then
          print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
      &             it,day,time,it_end,day_step
          print*,'PAS DE TEMPS ',timestep
        endif
-       if (it.eq.it_end) lastcall=.True.
+       if (it==it_end) lastcall=.True.
 
 !---------------------------------------------------------------------
@@ -946,5 +946,5 @@
       DO l=1,llm
 
-         IF (nudging_u .LT. 0) THEN
+         IF (nudging_u < 0) THEN
               
              d_u_nudge(l)=(u_nudg_mod_cas(l)-u(l))*invtau_u_nudg_mod_cas(l)
@@ -958,5 +958,5 @@
 
 
-         IF (nudging_v .LT. 0) THEN
+         IF (nudging_v < 0) THEN
               
              d_v_nudge(l)=(v_nudg_mod_cas(l)-v(l))*invtau_v_nudg_mod_cas(l)
@@ -971,5 +971,5 @@
 
 
-         IF (nudging_t .LT. 0) THEN
+         IF (nudging_t < 0) THEN
               
              d_t_nudge(l)=(temp_nudg_mod_cas(l)-temp(l))*invtau_temp_nudg_mod_cas(l)
@@ -984,5 +984,5 @@
 
 
-         IF (nudging_qv .LT. 0) THEN
+         IF (nudging_qv < 0) THEN
               
              d_q_nudge(l,1)=(qv_nudg_mod_cas(l)-q(l,1))*invtau_qv_nudg_mod_cas(l)
@@ -1033,5 +1033,5 @@
      &               +d_q_nudge(1:mxcalc,:) )
 
-        if (prt_level.ge.3) then
+        if (prt_level>=3) then
           print *,                                                          &
      &    'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ',         &
@@ -1105,5 +1105,5 @@
       enddo
 
-      if (ecrit_slab_oc.ne.-1) close(97)
+      if (ecrit_slab_oc/=-1) close(97)
 
 !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_scheme.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_scheme.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_scheme.F90	(revision 5082)
@@ -654,5 +654,5 @@
 ! Compute UV fluxes as weighted sum of appropriate shortwave bands
 !AI ATTENTION
-if (0.eq.1) then
+if (0==1) then
 PFLUX_UV       (KIDIA:KFDIA) = 0.0_JPRB
 DO JBAND = 1,NWEIGHT_UV
@@ -690,5 +690,5 @@
 !AI ATTENTION
 !IF (YRERAD%LAPPROXSWUPDATE) THEN
-if (0.eq.1) then
+if (0==1) then
 IF (rad_config%do_surface_sw_spectral_flux) THEN
   PSWDIFFUSEBAND(KIDIA:KFDIA,:) = 0.0_JPRB
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/readaerosol_optic_ecrad.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/readaerosol_optic_ecrad.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/readaerosol_optic_ecrad.F90	(revision 5082)
@@ -161,5 +161,5 @@
      !
      ! Read and interpolate sulfate
-     IF ( flag_aerosol .EQ. 1 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF ( flag_aerosol == 1 .OR. flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         CALL readaerosol_interp(id_ASSO4M_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, sulfacc, sulfacc_pi,loadso4)
@@ -170,5 +170,5 @@
 
      ! Read and interpolate bcsol and bcins
-     IF ( flag_aerosol .EQ. 2 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF ( flag_aerosol == 2 .OR. flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         ! Get bc aerosol distribution 
@@ -183,5 +183,5 @@
 
      ! Read and interpolate pomsol and pomins
-     IF ( flag_aerosol .EQ. 3 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN
+     IF ( flag_aerosol == 3 .OR. flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         CALL readaerosol_interp(id_ASPOMM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, pomsol, pomsol_pi, load_tmp3)
@@ -195,5 +195,5 @@
 
      ! Read and interpolate csssm, ssssm, assssm
-     IF (flag_aerosol .EQ. 4 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol == 4 .OR. flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         CALL readaerosol_interp(id_SSSSM_phy ,itap, pdtphys,rjourvrai, &
@@ -212,5 +212,5 @@
 
      ! Read and interpolate cidustm
-     IF (flag_aerosol .EQ. 5 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol == 5 .OR. flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         CALL readaerosol_interp(id_CIDUSTM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, cidust, cidust_pi, loaddust) 
@@ -222,5 +222,5 @@
      !
      ! Read and interpolate asno3m, csno3m, cino3m
-     IF (flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol == 6 .OR. flag_aerosol == 7 ) THEN
 
         CALL readaerosol_interp(id_ASNO3M_phy, itap, pdtphys, rjourvrai, & 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5082)
@@ -73,5 +73,5 @@
    DO k = 1, klev
    DO i = 1, klon
-     IF (fl_cor_ebil .GT. 0) then
+     IF (fl_cor_ebil > 0) then
        ZRCPD = RCPD*(1.0+RVTMP2*(pqn(i,k)+pqln(i,k)+pqsn(i,k)))
      ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90	(revision 5082)
@@ -22,5 +22,5 @@
 DO nsrf = 1, nbsrf
    DO i = 1, klon
-      IF (ftsol(i,nsrf).LT.t_coup) THEN
+      IF (ftsol(i,nsrf)<t_coup) THEN
          qsat_ftsol(i,nsrf) = qsats(ftsol(i,nsrf))/pplay(i)
       ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5082)
@@ -303,5 +303,5 @@
                     CMAX*2.*(RAN_NUM_3 -0.5)*SQRT(3.)/SQRT(NA*1.)
                 END DO
-                IF (CPHA.LT.0.)  THEN
+                IF (CPHA<0.)  THEN
                    CPHA = -1.*CPHA
                    ZP(JW,II) = ZP(JW,II) + RPI
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5082)
@@ -97,16 +97,16 @@
 
 !      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) .and. LAI(i,jv).gt.0. ) then                     
-      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) ) then                     
+      if  ( (height(i,jv) > yzlay(i,k)) .AND. (height(i,jv) > 0.1) ) then
 !FC attention veut on le test sur le LAI ?
-         if (ifl_pbltree.eq.1) then
+         if (ifl_pbltree==1) then
       drag_pro(i,k)= drag_pro(i,k)+ &
       veget(i,jv)
-          elseif (ifl_pbltree.eq.2) then
+          elseif (ifl_pbltree==2) then
       drag_pro(i,k)= drag_pro(i,k)+ &
       6*LAI(i,jv)*veget(i,jv)*( yzlay(i,k)*(height(i,jv)-yzlay(i,k))/(height(i,jv)*height(i,jv)+ 0.01))
-          elseif (ifl_pbltree.eq.3) then
+          elseif (ifl_pbltree==3) then
       drag_pro(i,k)= drag_pro(i,k)+ &
       veget(i,jv)*( yzlay(i,k)*(height(i,jv)-yzlay(i,k))/(height(i,jv)*height(i,jv)+ 0.01))
-          elseif (ifl_pbltree.eq.0) then
+          elseif (ifl_pbltree==0) then
           drag_pro(i,k)=0.0
            endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5082)
@@ -29,5 +29,5 @@
    END DO
    if (laire) THEN
-    if(airetot.NE.0.) THEN
+    if(airetot/=0.) THEN
      mfield=sumtmp/airetot
     endif
@@ -45,5 +45,5 @@
   if (laire) THEN
 !  print*,'gmean airetot=',airetot
-   if(airetot.NE.0.) THEN
+   if(airetot/=0.) THEN
     mfield=sumtmp/airetot
 !  else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/icefrac_lsc_mod.F90	(revision 5082)
@@ -33,9 +33,9 @@
 
   DO ip=1,np
-     IF (iflag_t_glace.EQ.1) THEN
+     IF (iflag_t_glace==1) THEN
        ! Transition to ice close to surface for T<Tmax
        ! w=1 at the surface and 0 for sig < sig0
        www=(max(sig(ip)-sig0,0.))/(1.-sig0) 
-     ELSEIF (iflag_t_glace.GE.2) THEN
+     ELSEIF (iflag_t_glace>=2) THEN
        ! No convertion to ice close to surface
        www = 0.
@@ -44,5 +44,5 @@
      liqfrac_tmp=  (temp(ip)-tmin_tmp) / (t_glace_max-tmin_tmp)
      liqfrac_tmp = MIN(MAX(liqfrac_tmp,0.0),1.0)
-     IF (iflag_t_glace.GE.3) THEN
+     IF (iflag_t_glace>=3) THEN
        icefrac(ip) = 1.0-liqfrac_tmp**exposant_glace
      ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/infotrac_phy.F90	(revision 5082)
@@ -197,7 +197,7 @@
 
    lerr=strParse(type_trac, '|', types_trac, n=nt)
-   IF (nt .GT. 1) THEN
-      IF (nt .GT. 2) CALL abort_physic(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
-      IF (nt .EQ. 2) type_trac=types_trac(2)
+   IF (nt > 1) THEN
+      IF (nt > 2) CALL abort_physic(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
+      IF (nt == 2) type_trac=types_trac(2)
    ENDIF
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iniradia.F90	(revision 5082)
@@ -24,5 +24,5 @@
   ! print*,'Physiq: apres suphel '
 #if CPP_RRTM
-  if (iflag_rrtm .eq. 1) then 
+  if (iflag_rrtm == 1) then
      CALL suinit(klon, klev)
      PRINT *, 'iniradia: apres suinit '
